The framework/API examples for AUCMEDI are complete but explained applications implemented in Jupyter Notebooks.   

Jupyter Notebooks offer reproducibility by including the output of each coding block, but can also integrate commentary blocks with Markdown. Also, Jupyter Notebooks can be directly displayed in GitHub without any additional software.

## Blog-like Example

In this example, AUCMEDI is applied with a in-depth explanatory way in order to guide through the overall functionality.

**Title:** "How to implement a medical image classification pipeline with just a few lines of code"

| Type | Link | Task |
|------|------|------|
| Article on Medium | [Blog - Article](https://medium.com/@dominik.mueller_84477/how-to-implement-a-medical-image-classification-pipeline-with-just-a-few-lines-of-code-7de0f8595e2e) | Brain Tumor Classification |
| Jupyter Notebook | [blog.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/blog/SkinLesionNotebook.ipynb) | Skin Lesion Classification |
| PDF | [blog.notebook.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/blog/Editing_How_to_implement_a_medical_image_classification_pipeline_with_just_a_few_lines_of_code___Medium.pdf) | Skin Lesion Classification |

## Standardized Examples

In these examples, AUCMEDI was applied in a standardized way on various medical imaging modalities in order to demonstrate the high adaptability of AUCMEDI.

| ID | Medical Field | Imaging Modality | Link | Manuscript |
|:--:|---------------|:-----------------|:----:|:----------:|
| 01 | Dermatology | Dermatoscopy | [01.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/01_dermatoscopy_notebook.ipynb) | [01.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_01_dermatology.pdf) |
| 02 | Gastroenterology | Endoscopy (lower) | [02.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/02_gi-endoscopy-lower_notebook.ipynb) | [02.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_02_gastroenterology_lower.pdf) |
| 03 | Gastroenterology | Endoscopy (upper) | [03.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/03_gi-endoscopy-upper_notebook.ipynb) | [03.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_03_gastroenterology_upper.pdf) |
| 04 | Histopathology | Microscopy | [04.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/04_histopathology_notebook.ipynb) | [04.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_04_histopathology.pdf) |
| 05 | Radiology | X-ray | [05.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/05_xray_notebook.ipynb) | [05.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_05_radiology_x_ray.pdf) |
| 06 | Gynaecology | Ultrasound | [06.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/06_ultrasound_notebook.ipynb) | [06.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_06_gynecology.pdf) |
| 07 | Radiology | Computed Tomography | [07.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/07_ct-covid_notebook.ipynb) | [07.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_07_radiology_ct.pdf) |
| 08 | Ophthalmology | Retinal Imaging | [08.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/08_riadd_notebook.ipynb) | [08.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_08_ophtalmology.pdf) |
| 09 | Neurology | Magnetic Resonance Imaging | [09.notebook.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/09_mri_notebook.ipynb) | [09.manuscript.pdf](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/framework/PM_09_neurology.pdf) |
