The first steps to build complex medical image classification pipelines can be difficult.

Here, several Jupyter Notebooks that aim to give an introduction into the core functionality of AUCMEDI, are presented.
Even though deep learning models are easier to setup with AUCMEDI compared to TensorFlow, AUCMEDI is not less flexible.
For this reason, rather than creating one huge “demonstration Notebook” several small Notebooks were created, so that the reader can pick the sections of interest.

## Overview

| Topic | Link  |
|:------|:-----:|
| Three Pillars of AUCMEDI | [tutorial01.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/ThreePillars.ipynb) |
| Data Loading from CSV | [tutorial02.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/dataLoadingFromCSV.ipynb) |
| Data Loading from Directories | [tutorial03.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/dataLoadingFromDirectory.ipynb) |
| Architecture Selection | [tutorial04.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/CustomArchitecture.ipynb) |
| Custom Image Preprocessing | [tutorial05.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/CustomSubfunction.ipynb) |
| Data Exploration and Performance Evaluation | [tutorial06.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/DataAndResultExploration.ipynb) |
| Modern Image Augmentation | [tutorial07.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/Augmentation.ipynb) |
| Transfer Learning | [tutorial08.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/Transferlearning.ipynb) |
| Early Stopping and Transfer Learning | [tutorial09.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/EarlyStoppingAndTransferlearning.ipynb) |
| Explainable Artificial Intelligence | [tutorial10.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/XAI.ipynb) |
| Integrating Metadata into a Model | [tutorial11.ipynb](https://github.com/frankkramer-lab/aucmedi/blob/master/examples/tutorials/Metadata.ipynb) |
