AUCMEDI is still under active development, which is why the official status is:  

<div align="center">
  <b> Work in Progress </b>
</div>

## Roadmap

**Current Progress:**  

[=88% "23 of 26 (88%)"]

**Features that are already supported by AUCMEDI:**

- [x] Binary, multi-class and multi-label image classification
- [x] Support for 2D as well as 3D data
- [x] Handling class imbalance through class weights & loss weighting like Focal loss
- [x] Stratified iterative sampling like percentage split and k-fold cross-validation
- [x] Standard preprocessing functions like Padding, Resizing, Cropping, Normalization
- [x] Extensive online image augmentation
- [x] Automated data loading and batch generation
- [x] Data IO interfaces for csv and subdirectory encoded datasets
- [x] Transfer Learning on ImageNet weights
- [x] Large library of popular modern deep convolutional neural network architectures
- [x] Ensemble Learning techniques like Inference Augmenting
- [x] Explainable AI (XAI) via Grad-Cam, Backpropagation, ...
- [x] Clean implementation of the state-of-the-art for competitive application like challenges
- [x] Full (and automatic) documentation of the complete API reference
- [x] Started creating examples & applications for the community
- [x] Available from PyPI for simple installation in various environments
- [x] Interface for metadata / pandas or NumPy table inclusion in model architectures
- [x] Unittesting -> CI/CD
- [x] Clean up Website
- [x] Integration of bagging and stacking pipelines for utilizing ensemble learning techniques
- [x] Integrate evaluation functions
- [x] Support for AutoML via CLI and Docker
- [x] Documentation for AutoML

**Planed milestones and features are:**  

- [ ] Examples
- [ ] Tutorials
- [ ] Publication
